Does Apache Ignite support java 8 and hibernate 5.2 NOW?

classic Classic list List threaded Threaded
4 messages Options
daya airody daya airody
Reply | Threaded
Open this post in threaded view
|

Does Apache Ignite support java 8 and hibernate 5.2 NOW?

We are using spring boot 2.0.1.RELEASE. This has compile time dependency on
hibernate_5.2. According to below post, ignite does not support
hibernate-5.2.x. This breaks entity level caching in spring boot.
Below is the stack overflow post:

https://stackoverflow.com/questions/45327322/exception-while-trying-to-use-ignite-hibernate-as-l2-cache

Any workarounds?



--
Sent from: http://apache-ignite-users.70518.x6.nabble.com/
daya airody daya airody
Reply | Threaded
Open this post in threaded view
|

Re: Does Apache Ignite support java 8 and hibernate 5.2 NOW?

Hibernate_5.2.x expects different Interface from Ignite for hibernate entity
cache and second level cache.

ignite-hibernate_5.1 library only supports the interface required by
hibernate 5.1. When is ignite going to support Hibernate 5.2.x.

On spring boot 2.0.1.RELEASE, only java method caching is working. This
issue is a blocker for all applications using Spring boot 2.0.1 and above.

Has anybody worked on supporting Hibernate 5.2.x ?



--
Sent from: http://apache-ignite-users.70518.x6.nabble.com/
Gautam Saxena Gautam Saxena
Reply | Threaded
Open this post in threaded view
|

unsubscribe

unsubscribe
ilya.kasnacheev ilya.kasnacheev
Reply | Threaded
Open this post in threaded view
|

Re: Does Apache Ignite support java 8 and hibernate 5.2 NOW?

In reply to this post by daya airody
Hello!

You could probably apply it and build your own integration module.

Regards,
--
Ilya Kasnacheev


ср, 7 нояб. 2018 г. в 20:42, daya airody <[hidden email]>:
Hibernate_5.2.x expects different Interface from Ignite for hibernate entity
cache and second level cache.

ignite-hibernate_5.1 library only supports the interface required by
hibernate 5.1. When is ignite going to support Hibernate 5.2.x.

On spring boot 2.0.1.RELEASE, only java method caching is working. This
issue is a blocker for all applications using Spring boot 2.0.1 and above.

Has anybody worked on supporting Hibernate 5.2.x ?



--
Sent from: http://apache-ignite-users.70518.x6.nabble.com/